Last Comment Bug 572804 - Disabled optgroup handling of the form manager is buggy
: Disabled optgroup handling of the form manager is buggy
Status: VERIFIED FIXED
formfill
: testcase
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: x86 Windows 7
-- normal (vote)
: ---
Assigned To: Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
:
:
Mentors:
Depends on: 573561
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 11:33 PDT by Martijn Wargers (dead)
Modified: 2015-08-12 01:13 PDT (History)
3 users (show)
mozaakash: in‑testsuite?
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
testcase (340 bytes, text/html)
2010-06-17 11:33 PDT, Martijn Wargers (dead)
no flags Details
Patch (619 bytes, patch)
2010-07-23 08:04 PDT, Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
mark.finkle: review+
Details | Diff | Splinter Review

Description User image Martijn Wargers (dead) 2010-06-17 11:33:13 PDT
Created attachment 452012 [details]
testcase

See testcase, with fennec I don't see the "optgroup title" text in the optgroup line.
Also, which you can see with the second select, the disabled attribute for the optgroup isn't obeyed for the form manager. Option 3 can be selected in Fennec.

Some other bugs, that I'm seeing:
- Option 4 of the second select can't be selected (which is correct, because it's disabled), but it looks like an ordinary option. It should look disabled.
- Shouldn't option3 of the second select be indented, since it's part of an optgroup?
Comment 1 User image Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2010-07-13 17:28:43 PDT
(In reply to comment #0)
> Created attachment 452012 [details]
> testcase
> 
> See testcase, with fennec I don't see the "optgroup title" text in the optgroup
> line.
This should be fixed by bug 573561

> Also, which you can see with the second select, the disabled attribute for the
> optgroup isn't obeyed for the form manager. Option 3 can be selected in Fennec.
> 
> Some other bugs, that I'm seeing:
> - Option 4 of the second select can't be selected (which is correct, because
> it's disabled), but it looks like an ordinary option. It should look disabled.
> - Shouldn't option3 of the second select be indented, since it's part of an
> optgroup?

That's the main part of the bug, I've changed the title to reflect this.
Comment 2 User image Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2010-07-23 08:04:50 PDT
Created attachment 459827 [details] [diff] [review]
Patch

This just change the color of a disabled item and prevent any mouse events on it.
Comment 3 User image Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2010-07-23 09:04:14 PDT
http://hg.mozilla.org/mobile-browser/rev/5cb8c1852a81
Comment 4 User image Aakash Desai [:aakashd] 2010-07-26 08:33:21 PDT
verified FIXED on build:
Mozilla/5.0 (X11; U; Linux armv71; Nokia N900; en-US; rv:2.0b2pre) Gecko/2010726 Namoroka/4.0b2pre Fennec/2.0a1pre
Comment 5 User image Martijn Wargers (dead) 2010-09-20 09:38:59 PDT
I'm reassigning this to myself for adding litmus testcases for this (aakashd
discussed this on irc with blassey and ted on #mobile).

Note You need to log in before you can comment on or make changes to this bug.